"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.parseConfig = exports.parseJsonConfig = exports.parseYamlConfig = exports.isYaml = void 0;
const js_yaml_1 = require("js-yaml");
const isYaml = (filename) => ['yaml', 'yml'].includes(String(filename.split('.').pop()));
exports.isYaml = isYaml;
// eslint-disable-next-line @typescript-eslint/no-explicit-any
const parseYamlConfig = (content) => {
    try {
        const config = (0, js_yaml_1.load)(content);
        if (!config || typeof config !== 'object') {
            return {};
        }
        return config;
    }
    catch (error) {
        console.error(error);
        return {};
    }
};
exports.parseYamlConfig = parseYamlConfig;
// eslint-disable-next-line @typescript-eslint/no-explicit-any
const parseJsonConfig = (content) => {
    try {
        return JSON.parse(content);
    }
    catch (error) {
        console.error(error);
        return {};
    }
};
exports.parseJsonConfig = parseJsonConfig;
// eslint-disable-next-line @typescript-eslint/no-explicit-any
const parseConfig = (content, filename) => undefined === filename || (0, exports.isYaml)(filename) ?
    (0, exports.parseYamlConfig)(Buffer.from(content, 'base64').toString()) :
    (0, exports.parseJsonConfig)(Buffer.from(content, 'base64').toString());
exports.parseConfig = parseConfig;
